<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('daily_profits', function (Blueprint $table) {
            $table->id();
            $table->integer('invest_money_id');
            $table->integer('invest_user_id');
            $table->float('profit_percentage');
            $table->integer('profitted_ammount');
            $table->integer('withdraw')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('daily_profits');
    }
};
